-- View definitioner tilrettet 30. august 2018, minei@sdfe.dk.
-- De er baseret på de views Lasse Chr. lavede tidligere i 2018.

--------------------------------------------------------
--  DDL for View FIKSPUNKTSYS34
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW FIKSPUNKTSYS34 (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, Y, X, SYSTEM34VERSION, FIKSPUNKTSBESKRIVELSE, ARTSKODE, MVSTATUS, MAALEMETODE, MIDDELFEJL, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, KOMMUNEKODE, MAALSKITSE, GEOMETRI, GMLID) AS 
select 
p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.HERREDSOGN_HERREDSNUMMER,p.HERREDSOGN_KOEBSTADNUMMER,p.HERREDSOGN_SOGNENUMMER,p.LOEBENUMMER,p.Y,p.X,p.SYSTEM34VERSION,p.FIKSPUNKTSBESKRIVELSE,p.ARTSKODE,p.MVSTATUS,p.MAALEMETODE,p.MIDDELFEJL,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.KOMMUNEKODE,p.MAALSKITSE,p.GEOMETRI,p.GMLID
FROM FIKSPUNKTSYS34 p 
where not exists (select 1 FROM FIKSPUNKTSYS34_PUNKTDESC d where d.FIKSPUNKTSYS34OBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View FIKSPUNKTSYS34_PLANDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW FIKSPUNKTSYS34_PLANDESC (FIKSPUNKTSYS34OBJECTID, PLANDESC) AS 
select FIKSPUNKTSYS34OBJECTID,PLANDESC FROM FIKSPUNKTSYS34_PLANDESC;

--------------------------------------------------------
--  DDL for View FIKSPUNKTSYS34_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW FIKSPUNKTSYS34_PUNKTDESC (FIKSPUNKTSYS34OBJECTID, PUNKTDESC) AS 
select FIKSPUNKTSYS34OBJECTID,PUNKTDESC FROM FIKSPUNKTSYS34_PUNKTDESC;

--------------------------------------------------------
--  DDL for View FIKSPUNKTSYS34_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW FIKSPUNKTSYS34_SPECIALNR (FIKSPUNKTSYS34OBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.FIKSPUNKTSYS34OBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM FIKSPUNKTSYS34_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDK
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDK (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, KOTEREFERENCEVERSION, MAALEMETODE, MAALEAAR, FIKSPUNKTSBESKRIVELSE, ARTSKODE, MVSTATUS, MIDDELFEJL, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, NORTHING, EASTING, KOTEKLASSE, KOMMUNEKODE, GMLID) AS 
select OBJECTID,ID_NAMESPACE,ID_LOKALID,VIRKNINGFRA,VIRKNINGTIL,VIRKNINGSAKTOER,FORRETNINGSHAENDELSE,REGISTRERINGFRA,REGISTRERINGTIL,REGISTRERINGSAKTOER,FORRETNINGSOMRAADE,STATUS,FORRETNINGSPROCES,FIKSPUNKTSNUMMER,KOTE,KOTEREFERENCEVERSION,MAALEMETODE,MAALEAAR,FIKSPUNKTSBESKRIVELSE,ARTSKODE,MVSTATUS,MIDDELFEJL,AFMAERKNINGSBESKRIVELSE,TEKSTBESKRIVELSE,MAALSKITSE,GEOMETRI,HERREDSOGN_HERREDSNUMMER,HERREDSOGN_KOEBSTADNUMMER,HERREDSOGN_SOGNENUMMER,LOEBENUMMER,NORTHING,EASTING,KOTEKLASSE,KOMMUNEKODE,GMLID
FROM HOEJDEFIKSPUNKTDK p 
where not exists (select 1 FROM HOEJDEFIKSPUNKTDK_PUNKTDESC d where d.HOEJDEFIKSPUNKTDKOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDK_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDK_FOTO (HOEJDEFIKSPUNKTDKOBJECTID, FOTO) AS 
select HOEJDEFIKSPUNKTDKOBJECTID,FOTO FROM HOEJDEFIKSPUNKTDK_FOTO;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDK_KOTEDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDK_KOTEDESC (HOEJDEFIKSPUNKTDKOBJECTID, KOTEDESC) AS 
select HOEJDEFIKSPUNKTDKOBJECTID,KOTEDESC FROM HOEJDEFIKSPUNKTDK_KOTEDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDK_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDK_PUNKTDESC (HOEJDEFIKSPUNKTDKOBJECTID, PUNKTDESC) AS 
select HOEJDEFIKSPUNKTDKOBJECTID,PUNKTDESC FROM HOEJDEFIKSPUNKTDK_PUNKTDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDK_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDK_SPECIALNR (HOEJDEFIKSPUNKTDKOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.HOEJDEFIKSPUNKTDKOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM HOEJDEFIKSPUNKTDK_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDNN
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDNN (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, NORTHING, EASTING, KOTE, KOTEREFERENCEVERSION, MAALEMETODE, MAALEAAR, FIKSPUNKTSBESKRIVELSE, ARTSKODE, MVSTATUS, MIDDELFEJL, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, KOMMUNEKODE, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.HERREDSOGN_HERREDSNUMMER,p.HERREDSOGN_KOEBSTADNUMMER,p.HERREDSOGN_SOGNENUMMER,p.LOEBENUMMER,p.NORTHING,p.EASTING,p.KOTE,p.KOTEREFERENCEVERSION,p.MAALEMETODE,p.MAALEAAR,p.FIKSPUNKTSBESKRIVELSE,p.ARTSKODE,p.MVSTATUS,p.MIDDELFEJL,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.KOMMUNEKODE,p.GMLID
FROM HOEJDEFIKSPUNKTDNN p 
where not exists (select 1 FROM HOEJDEFIKSPUNKTDNN_PUNKTDESC d where d.HOEJDEFIKSPUNKTDNNOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDNN_KOTEDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDNN_KOTEDESC (HOEJDEFIKSPUNKTDNNOBJECTID, KOTEDESC) AS 
select HOEJDEFIKSPUNKTDNNOBJECTID,KOTEDESC FROM HOEJDEFIKSPUNKTDNN_KOTEDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDNN_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDNN_PUNKTDESC (HOEJDEFIKSPUNKTDNNOBJECTID, PUNKTDESC) AS 
select HOEJDEFIKSPUNKTDNNOBJECTID,PUNKTDESC FROM HOEJDEFIKSPUNKTDNN_PUNKTDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTDNN_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTDNN_SPECIALNR (HOEJDEFIKSPUNKTDNNOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.HOEJDEFIKSPUNKTDNNOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM HOEJDEFIKSPUNKTDNN_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTFO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTFO (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, KOTEREFERENCEVERSION, MAALEMETODE, MAALEAAR, FIKSPUNKTSBESKRIVELSE, ARTSKODE, MVSTATUS, MIDDELFEJL, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, NORTHING, EASTING, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.KOTE,p.KOTEREFERENCEVERSION,p.MAALEMETODE,p.MAALEAAR,p.FIKSPUNKTSBESKRIVELSE,p.ARTSKODE,p.MVSTATUS,p.MIDDELFEJL,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.HERREDSOGN_HERREDSNUMMER,p.HERREDSOGN_KOEBSTADNUMMER,p.HERREDSOGN_SOGNENUMMER,p.LOEBENUMMER,p.NORTHING,p.EASTING,p.GMLID
FROM HOEJDEFIKSPUNKTFO p 
where not exists (select 1 FROM HOEJDEFIKSPUNKTFO_PUNKTDESC d where d.HOEJDEFIKSPUNKTFOOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTFO_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTFO_FOTO (HOEJDEFIKSPUNKTFOOBJECTID, FOTO) AS 
select HOEJDEFIKSPUNKTFOOBJECTID,FOTO FROM HOEJDEFIKSPUNKTFO_FOTO;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTFO_KOTEDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTFO_KOTEDESC (HOEJDEFIKSPUNKTFOOBJECTID, KOTEDESC) AS 
select HOEJDEFIKSPUNKTFOOBJECTID,KOTEDESC FROM HOEJDEFIKSPUNKTFO_KOTEDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTFO_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTFO_PUNKTDESC (HOEJDEFIKSPUNKTFOOBJECTID, PUNKTDESC) AS 
select HOEJDEFIKSPUNKTFOOBJECTID,PUNKTDESC FROM HOEJDEFIKSPUNKTFO_PUNKTDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTFO_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTFO_SPECIALNR (HOEJDEFIKSPUNKTFOOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.HOEJDEFIKSPUNKTFOOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM HOEJDEFIKSPUNKTFO_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTGL
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTGL (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, KOTEREFERENCEVERSION, MAALEMETODE, MAALEAAR, FIKSPUNKTSBESKRIVELSE, ARTSKODE, MVSTATUS, MIDDELFEJL, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, NORTHING, EASTING, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.KOTE,p.KOTEREFERENCEVERSION,p.MAALEMETODE,p.MAALEAAR,p.FIKSPUNKTSBESKRIVELSE,p.ARTSKODE,p.MVSTATUS,p.MIDDELFEJL,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.NORTHING,p.EASTING,p.GMLID
FROM HOEJDEFIKSPUNKTGL p 
where not exists (select 1 FROM HOEJDEFIKSPUNKTGL_PUNKTDESC d where d.HOEJDEFIKSPUNKTGLOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTGL_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTGL_FOTO (HOEJDEFIKSPUNKTGLOBJECTID, FOTO) AS 
select HOEJDEFIKSPUNKTGLOBJECTID,FOTO FROM HOEJDEFIKSPUNKTGL_FOTO;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTGL_KOTEDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTGL_KOTEDESC (HOEJDEFIKSPUNKTGLOBJECTID, KOTEDESC) AS 
select HOEJDEFIKSPUNKTGLOBJECTID,KOTEDESC FROM HOEJDEFIKSPUNKTGL_KOTEDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTGL_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTGL_PUNKTDESC (HOEJDEFIKSPUNKTGLOBJECTID, PUNKTDESC) AS 
select HOEJDEFIKSPUNKTGLOBJECTID,PUNKTDESC FROM HOEJDEFIKSPUNKTGL_PUNKTDESC;

--------------------------------------------------------
--  DDL for View HOEJDEFIKSPUNKTGL_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW HOEJDEFIKSPUNKTGL_SPECIALNR (HOEJDEFIKSPUNKTGLOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.HOEJDEFIKSPUNKTGLOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM HOEJDEFIKSPUNKTGL_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTDK
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTDK (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, ARTSKODE, KOTEREFERENCEVERSION, MVSTATUS, MIDDELFEJL, MAALEMETODE, GPSEGNET, FIKSPUNKTSBESKRIVELSE, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, NORTHING, EASTING, ELLIPSOIDEHOEJDE, DK10KMNET, REFDK, KLASSE, KOMMUNEKODE, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.KOTE,p.ARTSKODE,p.KOTEREFERENCEVERSION,p.MVSTATUS,p.MIDDELFEJL,p.MAALEMETODE,p.GPSEGNET,p.FIKSPUNKTSBESKRIVELSE,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.HERREDSOGN_HERREDSNUMMER,p.HERREDSOGN_KOEBSTADNUMMER,p.HERREDSOGN_SOGNENUMMER,p.LOEBENUMMER,p.NORTHING,p.EASTING,p.ELLIPSOIDEHOEJDE,p.DK10KMNET,p.REFDK,p.KLASSE,p.KOMMUNEKODE,p.GMLID
FROM PLANFIKSPUNKTDK p 
where not exists (select 1 FROM PLANFIKSPUNKTDK_PUNKTDESC d where d.PLANFIKSPUNKTDKOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTDK_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTDK_FOTO (PLANFIKSPUNKTDKOBJECTID, FOTO) AS 
select PLANFIKSPUNKTDKOBJECTID,FOTO FROM PLANFIKSPUNKTDK_FOTO;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTDK_PLANDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTDK_PLANDESC (PLANFIKSPUNKTDKOBJECTID, PLANDESC) AS 
select PLANFIKSPUNKTDKOBJECTID,PLANDESC FROM PLANFIKSPUNKTDK_PLANDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTDK_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTDK_PUNKTDESC (PLANFIKSPUNKTDKOBJECTID, PUNKTDESC) AS 
select PLANFIKSPUNKTDKOBJECTID,PUNKTDESC FROM PLANFIKSPUNKTDK_PUNKTDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTDK_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTDK_SPECIALNR (PLANFIKSPUNKTDKOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.PLANFIKSPUNKTDKOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM PLANFIKSPUNKTDK_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTFO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTFO (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, ARTSKODE, KOTEREFERENCEVERSION, MVSTATUS, MIDDELFEJL, MAALEMETODE, GPSEGNET, FIKSPUNKTSBESKRIVELSE, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, HERREDSOGN_HERREDSNUMMER, HERREDSOGN_KOEBSTADNUMMER, HERREDSOGN_SOGNENUMMER, LOEBENUMMER, NORTHING, EASTING, ELLIPSOIDEHOEJDE, FO10KMNET, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.KOTE,p.ARTSKODE,p.KOTEREFERENCEVERSION,p.MVSTATUS,p.MIDDELFEJL,p.MAALEMETODE,p.GPSEGNET,p.FIKSPUNKTSBESKRIVELSE,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.HERREDSOGN_HERREDSNUMMER,p.HERREDSOGN_KOEBSTADNUMMER,p.HERREDSOGN_SOGNENUMMER,p.LOEBENUMMER,p.NORTHING,p.EASTING,p.ELLIPSOIDEHOEJDE,p.FO10KMNET,p.GMLID  
FROM PLANFIKSPUNKTFO p 
where not exists (select 1 FROM PLANFIKSPUNKTFO_PUNKTDESC d where d.PLANFIKSPUNKTFOOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTFO_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTFO_FOTO (PLANFIKSPUNKTFOOBJECTID, FOTO) AS 
select PLANFIKSPUNKTFOOBJECTID,FOTO FROM PLANFIKSPUNKTFO_FOTO;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTFO_PLANDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTFO_PLANDESC (PLANFIKSPUNKTFOOBJECTID, PLANDESC) AS 
select PLANFIKSPUNKTFOOBJECTID,PLANDESC FROM PLANFIKSPUNKTFO_PLANDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTFO_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTFO_PUNKTDESC (PLANFIKSPUNKTFOOBJECTID, PUNKTDESC) AS 
select PLANFIKSPUNKTFOOBJECTID,PUNKTDESC FROM PLANFIKSPUNKTFO_PUNKTDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTFO_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTFO_SPECIALNR (PLANFIKSPUNKTFOOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.PLANFIKSPUNKTFOOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM PLANFIKSPUNKTFO_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTGL
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTGL (OBJECTID, ID_NAMESPACE, ID_LOKALID, VIRKNINGFRA, VIRKNINGTIL, VIRKNINGSAKTOER, FORRETNINGSHAENDELSE, REGISTRERINGFRA, REGISTRERINGTIL, REGISTRERINGSAKTOER, FORRETNINGSOMRAADE, STATUS, FORRETNINGSPROCES, FIKSPUNKTSNUMMER, KOTE, ARTSKODE, KOTEREFERENCEVERSION, MVSTATUS, MIDDELFEJL, MAALEMETODE, GPSEGNET, FIKSPUNKTSBESKRIVELSE, AFMAERKNINGSBESKRIVELSE, TEKSTBESKRIVELSE, MAALSKITSE, GEOMETRI, NORTHING, EASTING, ELLIPSOIDEHOEJDE, REFGR, GMLID) AS 
select p.OBJECTID,p.ID_NAMESPACE,p.ID_LOKALID,p.VIRKNINGFRA,p.VIRKNINGTIL,p.VIRKNINGSAKTOER,p.FORRETNINGSHAENDELSE,p.REGISTRERINGFRA,p.REGISTRERINGTIL,p.REGISTRERINGSAKTOER,p.FORRETNINGSOMRAADE,p.STATUS,p.FORRETNINGSPROCES,p.FIKSPUNKTSNUMMER,p.KOTE,p.ARTSKODE,p.KOTEREFERENCEVERSION,p.MVSTATUS,p.MIDDELFEJL,p.MAALEMETODE,p.GPSEGNET,p.FIKSPUNKTSBESKRIVELSE,p.AFMAERKNINGSBESKRIVELSE,p.TEKSTBESKRIVELSE,p.MAALSKITSE,p.GEOMETRI,p.NORTHING,p.EASTING,p.ELLIPSOIDEHOEJDE,p.REFGR,p.GMLID
FROM PLANFIKSPUNKTGL p 
where not exists (select 1 FROM PLANFIKSPUNKTGL_PUNKTDESC d where d.PLANFIKSPUNKTGLOBJECTID=p.OBJECTID and d.PUNKTDESC = 'begrænset adgang');

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTGL_FOTO
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTGL_FOTO (PLANFIKSPUNKTGLOBJECTID, FOTO) AS 
select PLANFIKSPUNKTGLOBJECTID,FOTO FROM PLANFIKSPUNKTGL_FOTO;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTGL_PLANDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTGL_PLANDESC (PLANFIKSPUNKTGLOBJECTID, PLANDESC) AS 
select PLANFIKSPUNKTGLOBJECTID,PLANDESC FROM PLANFIKSPUNKTGL_PLANDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTGL_PUNKTDESC
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTGL_PUNKTDESC (PLANFIKSPUNKTGLOBJECTID, PUNKTDESC) AS 
select PLANFIKSPUNKTGLOBJECTID,PUNKTDESC FROM PLANFIKSPUNKTGL_PUNKTDESC;

--------------------------------------------------------
--  DDL for View PLANFIKSPUNKTGL_SPECIALNR
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW PLANFIKSPUNKTGL_SPECIALNR (PLANFIKSPUNKTGLOBJECTID, NUMMER, NUMMERTYPE) AS 
select plafsp.PLANFIKSPUNKTGLOBJECTID, spnr.NUMMER, spnr.NUMMERTYPE 
FROM PLANFIKSPUNKTGL_SPECIALNR plafsp 
LEFT JOIN SPECIALNUMMER spnr ON spnr.OBJECTID=plafsp.SPECIALNUMMEROBJECTID;